
<script>
    import { createEventDispatcher } from 'svelte';

    export let session;
    const dispatch = createEventDispatcher();

    const requestAuthToggle = () => {
        dispatch(session.authorized ? 'logout-request' : 'login-request');
    };

</script>

<header>
    <div class="title">Zoomer</div>
    <div class="auth">
        <button class="auth__toggle" on:click="{requestAuthToggle}">{
            session.authorized ? 'Logout' : 'Login'
        }</button>
    </div>

</header>

<style>
    header {
        display: grid;
        grid-template-columns: 5em auto 5em;
        grid-template-areas: 'filler title auth';
        align-items: center;

        height: 3.5rem;
        padding-left: 0.5rem;
        padding-right: 0.5rem;

        border-bottom: 1px solid var(--c-sep);

        font-size: 0.85rem;
        font-weight: 550;

        background: var(--c-p);
    }

    .title {
        grid-area: title;
        justify-content: center;
        text-align: center;
        font-size: 1.2em;
        color: var(--c-sd);
        font-weight: bold;
    }

    .auth {
        grid-area: auth;
        justify-content: end;
    }

</style>
